Subject: forked process couldn't set up input/output: bad file number
From: Nitin Gupta <[email-masked]>
To: [email-masked]
Date: Tue, 09 Apr 2002 11:51:34 -0700

Hi,

I am running gcc-3.0.2 testsuite on latest cygwin (on my windows 2000 
box). Most of my tests are running fine, but for few test directories, I 
am not able to run any test and I am getting following error message. I 
tried to look for it on web and could only understand that it has some 
thing to do with tcl or dejagnu, any help or suggestion will be 
appreciated.

ERROR: tcl error sourcing 
/home/nitin/project/molecules/mobilygen/tools/gnu/src/gcc-3.0.2/gcc/testsuite/gcc.c-torture/compile/compile.exp. 

ERROR: forked process couldn't set up input/output: bad file number
  while executing
"exec sh -c "exec > /dev/null 2>&1 && (kill -2 $pgid || kill -2 $pid) && 
sleep 5 && (kill -15 $pgid || kill $pid) && sleep 5 && (kill -9 $pgid || 
kill ..."
  (procedure "local_exec" line 106)
  invoked from within
"local_exec "$program $pargs" $inp $outp $timeout"
  (procedure "remote_exec" line 31)
  invoked from within
"remote_exec host "$compiler $opts" "" "" "" $timeout"
  (procedure "default_target_compile" line 298)
  invoked from within
"default_target_compile $source $destfile $type $options"
  (procedure "target_compile" line 6)
  invoked from within
"target_compile $source $dest $type $options"
  (procedure "gcc_target_compile" line 31)
  invoked from within
"gcc_target_compile "$src" "$output" object $options"
  (procedure "c-torture-compile" line 23)
  invoked from within
"c-torture-compile $src "$option $options""
  (procedure "c-torture" line 47)
  invoked from within
"c-torture $testcase"
  ("foreach" body line 7)
  invoked from within
"foreach testcase [glob -nocomplain $srcdir/$subdir/*.c] {
  # If we're only testing specific files and this isn't one of them, 
skip it.
  if ![run..."
  (file 
"/home/nitin/project/molecules/mobilygen/tools/gnu/src/gcc-3.0.2/gcc/testsuite/gcc.c-torture/compile/compile.exp" 
line 28)
  invoked from within
"source 
/home/nitin/project/molecules/mobilygen/tools/gnu/src/gcc-3.0.2/gcc/testsuite/gcc.c-torture/compile/compile.exp" 

  ("uplevel" body line 1)
  invoked from within
"uplevel #0 source 
/home/nitin/project/molecules/mobilygen/tools/gnu/src/gcc-3.0.2/gcc/testsuite/gcc.c-torture/compile/compile.exp" 

  invoked from within
"catch "uplevel #0 source $test_file_name""

Thanks,
Nitin

"perfect" software is a practical impossibility. Embedded.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/